rio_mport_is_active
Prev | Enumeration and Discovery | Next

## Name

rio_mport_is_active — Tests if master port link is active

## Synopsis

`int rio_mport_is_active (` | struct rio_mport * | port`)`;

## Arguments

`port`

  Master port to test

## Description

Reads the port error status CSR for the master port to determine if the port has an active link. Returns `PORT_N_ERR_STS_PORT_OK` if the master port is active or `0` if it is inactive.

Prev | Up | Next
rio_disc_peer | Home | rio_alloc_net